Mass messaging
Get Sent Mass Messages Stats
Retrieve stats for mass messages that have been sent.
Retrieve delivery, read, and tip stats for mass messages that have been sent, including any attached media or media bundles.
https://v1.apifansly.com/api/fansly
GET
/{account_id}/mass-messaging/stats/sent
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
curl -X GET "https://v1.apifansly.com/api/fansly/{account_id}/mass-messaging/stats" \
-H "x-api-key: YOUR_API_KEY" fetch("https://v1.apifansly.com/api/fansly/{account_id}/mass-messaging/stats", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
}) import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/mass-messaging/stats"
headers = {
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers, params=params)
print(response.json()) import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/mass-messaging/stats"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join(); using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{account_id}/mass-messaging/stats");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString); package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/mass-messaging/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
account_id*
stringThe unique identifier for the connected account.
Query Parameters
cursor ?
stringPagination cursor from a previous response's
nextCursor. Omit to fetch the first page.limit ?
numberMaximum number of sent messages to return per page. Defaults to 24.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"messages": [
{
"id": "message_id_here",
"type": 3,
"content": "message_content_here",
"groupId": "group_id_here",
"senderId": "sender_account_id_here",
"correlationId": "correlation_id_here",
"createdAt": "unix_timestamp_seconds_here",
"attachments": [
{
"messageId": "message_id_here",
"contentType": "content_type_here",
"contentId": "account_media_id_here",
"pos": 0
}
],
"stats": {
"total": "recipient_count_here",
"delivered": "delivered_count_here",
"read": "read_count_here"
},
"totalTipAmount": "total_tip_amount_in_cents_here"
}
],
"accountMedia": [
{
"id": "account_media_id_here",
"mediaId": "media_id_here",
"price": "price_in_cents_here",
"deleted": null,
"deletedAt": null,
"likeCount": "like_count_here",
"purchased": "purchased_bool_here",
"access": "access_bool_here",
"media": {
"id": "media_id_here",
"type": "media_type_here",
"mimetype": "mimetype_here",
"filename": "filename_here",
"width": "width_here",
"height": "height_here",
"locations": [
{
"locationId": "location_id_here",
"location": "signed_cdn_url_here"
}
],
"variants": [
{
"id": "variant_id_here",
"type": "variant_type_here",
"mimetype": "variant_mimetype_here",
"width": "variant_width_here",
"height": "variant_height_here",
"locations": [
{
"locationId": "location_id_here",
"location": "signed_cdn_url_here"
}
]
}
]
}
}
],
"accountMediaBundles": [
{
"id": "bundle_id_here",
"price": "price_in_cents_here",
"deleted": null,
"deletedAt": null,
"accountMediaIds": ["account_media_id_here"],
"purchased": "purchased_bool_here",
"access": "access_bool_here"
}
],
"tips": [],
"tipGoals": [],
"nextCursor": "next_cursor_here"
}
}
},
"timestamp": "iso_8601_timestamp_here"
}